API ReferenceUnified modelsUnified payment

Create a unified payment

POST
/unified/payment

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

amount?string

Amount of the payment (decimal as string).

currency?string

Currency code for the payment.

status?string

Status of the payment.

description?string|null

Description or notes for the payment.

unified_customer_id?string|null

Related unified customer ID.

Response Body

application/json

curl -X POST "https://dev-backend.thelinks.ai/api/v1/unified/payment" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "pay_12345",
    "source_system": "stripe",
    "source_system_img_url": "https://cdn.example.com/stripe.png",
    "source_id": "stripe_98765",
    "external_system_provider_id": "provider_001",
    "external_system_config_id": "config_abc",
    "external_system_data": {
      "custom_field": "value"
    },
    "supporting_data_definition_id": "support_001",
    "amount": "12000.00",
    "currency": "USD",
    "status": "COMPLETED",
    "description": "Payment for January invoice",
    "is_primary": true,
    "unified_customer_id": "cust_12345",
    "source_system_customer_id": "ext_cust_67890",
    "local_was_deleted": false,
    "local_was_updated": true,
    "source_data_created_at": "2024-01-01T12:00:00Z",
    "is_active": true
  }
}
Empty